# Namespace: helma

## helma

Source:
  - helma/all.js, line 20

### Classes

Aspects
Chart
Color
Database
File
Ftp
Group
Html
Http
Mail
Search
Skin
Ssh
Url
Zip

### Members

#### (static) Http

Sets the global http proxy setting. If no proxy definition is passed to this method, any existing proxy setting is cleared. Internally this method sets the system properties `http.proxySet`, `http.proxyHost` and `http.proxyPort`. Keep in mind that this is valid for the whole Java Virtual Machine, therefor using this method can potentially influence other running Helma applications too!

Source:
  - helma/Http.js, line 635

#### (static) Http :String|Boolean

Returns the proxy setting of the Java Virtual Machine the Helma application server is running in. If no proxy is set, this method returns boolean false.

##### Type:

- String | Boolean

Source:
  - helma/Http.js, line 671

### Methods

#### (static) Image(arg)

Returns an Image object, generated from the specified source.
If the JIMI package is installed, an instance of helma.image.jimi.JimiGenerator will be returned. Otherwise, if the javax.imageio package is available, an instance of helma.image.imageio.ImageIOGenerator is returned. Additionally, the class of the ImageGenerator implementation to be used can be set using the `imageGenerator` property in either the app.properties or server.properties file.

##### Parameters:

Name | Type | Description
--- | --- | ---
`arg` | helma.File | java.io.File | String | image source, filename or url

Source:
  - helma/Image.js, line 48
See:
  - Packages.helma.image.ImageGenerator
  - Packages.helma.image.jimi.JimiGenerator
  - Packages.helma.image.imageio.ImageIOGenerator

##### Returns:

a new Image object